clang-tools 6.0.0

Namespaces | Functions
UseDefaultMemberInitCheck.cpp File Reference
`#include "UseDefaultMemberInitCheck.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/ASTMatchers/ASTMatchFinder.h"`
`#include "clang/Lex/Lexer.h"`
Include dependency graph for UseDefaultMemberInitCheck.cpp:

Go to the source code of this file.

## Namespaces
| clang
| clang::tidy
| clang::tidy::modernize

## Functions
static StringRef | clang::tidy::modernize::getValueOfValueInit (const QualType InitType)
static bool | clang::tidy::modernize::isZero (const Expr *E)
static const Expr * | clang::tidy::modernize::ignoreUnaryPlus (const Expr *E)
static const Expr * | clang::tidy::modernize::getInitializer (const Expr *E)
static bool | clang::tidy::modernize::sameValue (const Expr *E1, const Expr *E2)